QGIS Application - Bug report #14393
SRS displayed in bookmark dock uses internal SRS ID, which is meaningless to users
2016-03-01 02:16 AM - Etienne Trimaille

Status: Closed

Priority: Normal

Assignee:

Category: Projection Support

Affected QGIS version:2.14.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 22374
Description

I'm trying to save some bookmarks but the projection is not the good one each time.

If my layer and my map are in :

- EPSG:32740, my bookmark will use EPSG:3190 (which is a wrong EPSG code for that area)
- EPSG:2975, my bookmark will use EPSG:942

- EPSG:4326, my bookmark will use EPSG:3452

it's very easy to replicate. Open one layer in QGIS, check the projection in your map canvas and then save a bookmark. Check the last
column SRID in your bookmark list.

History

#1 - 2016-03-28 02:54 PM - Nyall Dawson
- Subject changed from Bookmarks doesn't save the good projection. to SRS displayed in bookmark dock uses internal SRS ID, which is meaningless to
users

#2 - 2016-03-29 12:00 PM - R. R.

See duplicate #14548 for further information.

#3 - 2017-05-01 01:06 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#4 - 2018-01-19 09:45 AM - Etienne Trimaille

- Status changed from Open to Closed

It seems it has been fixed. | can't replicate this issue anymore.

#5 - 2018-02-22 11:38 AM - Giovanni Manghi
- Description updated
- Resolution set to not reproducable
